org.apache.jmeter.visualizers.backend

## Class BackendListener

- java.lang.Object
- - org.apache.jmeter.testelement.AbstractTestElement
  - - org.apache.jmeter.visualizers.backend.BackendListener

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, NoThreadClone, Searchable, Remoteable, SampleListener, TestElement, TestStateListener, Backend

      public class BackendListener
      extends AbstractTestElement
      implements Backend, java.io.Serializable, SampleListener, TestStateListener, NoThreadClone, Remoteable

  Async Listener that delegates SampleResult handling to implementations of `BackendListenerClient`
  Since:
    2.13
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ARGUMENTS` Property key representing the arguments for the BackendListenerClient.
    `static java.lang.String` | `CLASSNAME` Property key representing the classname of the BackendListenerClient to user.
    `static java.lang.String` | `DEFAULT_QUEUE_SIZE`
    `static java.lang.String` | `QUEUE_SIZE` Queue size

    - ### Fields inherited from interface org.apache.jmeter.testelement.TestElement

      `COMMENTS, ENABLED, GUI_CLASS, NAME, TEST_CLASS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BackendListener()` Create a BackendListener.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()`
    `Arguments` | `getArguments()` Get the arguments (parameters) for the BackendListenerClient to be executed with.
    `java.lang.String` | `getClassname()` Gets the Classname of the BackendListenerClient object
    `java.lang.String` | `getQueueSize()` Gets the queue size
    `void` | `sampleOccurred(SampleEvent event)` A sample has started and stopped.
    `void` | `sampleStarted(SampleEvent e)` A sample has started.
    `void` | `sampleStopped(SampleEvent e)` A sample has stopped.
    `void` | `setArguments(Arguments args)` Set the arguments (parameters) for the BackendListenerClient to be executed with.
    `void` | `setClassname(java.lang.String classname)` Sets the Classname of the BackendListenerClient object
    `void` | `setQueueSize(java.lang.String queueSize)` Sets the queue size
    `void` | `testEnded()` Called once for all threads after the end of a test.
    `void` | `testEnded(java.lang.String host)` Method called at the end of the test.
    `void` | `testStarted()` Called just before the start of the test from the main engine thread.
    `void` | `testStarted(java.lang.String host)` Called just before the start of the test from the main engine thread.

    - ### Methods inherited from class org.apache.jmeter.testelement.AbstractTestElement

      `addPropertiesValues, addProperty, addProperty, addTestElement, canRemove, clear, clearTemporary, clearTestElementChildren, emptyTemporary, equals, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getSearchableTokens, getThreadContext, getThreadName, hashCode, isEnabled, isRunningVersion, isTemporary, logProperties, mergeIn, propertyIterator, recoverRunningVersion, removeProperty, setComment, setEnabled, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse, traverseCollection, traverseMap, traverseProperty`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.jmeter.testelement.TestElement

      `removed`

- - ### Field Detail

    - #### CLASSNAME

          public static final java.lang.String CLASSNAME

      Property key representing the classname of the BackendListenerClient to user.
      See Also:
        Constant Field Values

    - #### QUEUE_SIZE

          public static final java.lang.String QUEUE_SIZE

      Queue size
      See Also:
        Constant Field Values

    - #### ARGUMENTS

          public static final java.lang.String ARGUMENTS

      Property key representing the arguments for the BackendListenerClient.
      See Also:
        Constant Field Values

    - #### DEFAULT_QUEUE_SIZE

          public static final java.lang.String DEFAULT_QUEUE_SIZE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### BackendListener

          public BackendListener()

      Create a BackendListener.

  - ### Method Detail

    - #### clone

          public java.lang.Object clone()

      Specified by:
        `clone` in interface `TestElement`
      Overrides:
        `clone` in class `AbstractTestElement`

    - #### sampleOccurred

          public void sampleOccurred(SampleEvent event)

      Description copied from interface: `SampleListener`
      A sample has started and stopped.
      Specified by:
        `sampleOccurred` in interface `SampleListener`
      Parameters:
        `event` - the `SampleEvent` that has occurred

    - #### testStarted

          public void testStarted()

      Description copied from interface: `TestStateListener`

      Called just before the start of the test from the main engine thread. This is before the test elements are cloned. Note that not all the test variables will have been set up at this point.

      N.B. testStarted() and testEnded() are called from different threads.

      Specified by:
        `testStarted` in interface `TestStateListener`
      See Also:
        `StandardJMeterEngine.run()`

    - #### testStarted

          public void testStarted(java.lang.String host)

      Description copied from interface: `TestStateListener`

      Called just before the start of the test from the main engine thread. This is before the test elements are cloned. Note that not all the test variables will have been set up at this point.

      N.B. testStarted() and testEnded() are called from different threads.

      Specified by:
        `testStarted` in interface `TestStateListener`
      Parameters:
        `host` - name of host
      See Also:
        `StandardJMeterEngine.run()`

    - #### testEnded

          public void testEnded(java.lang.String host)

      Method called at the end of the test. This is called only on one instance of BackendListener. This method will loop through all of the other BackendListenerClients which have been registered (automatically in the constructor) and notify them that the test has ended, allowing the BackendListenerClients to cleanup. Implements TestStateListener.testEnded(String)
      Specified by:
        `testEnded` in interface `TestStateListener`
      Parameters:
        `host` - name of host
      See Also:
        `StandardJMeterEngine.stopTest()`

    - #### testEnded

          public void testEnded()

      Description copied from interface: `TestStateListener`

      Called once for all threads after the end of a test. This will use the same element instances as at the start of the test.

      N.B. testStarted() and testEnded() are called from different threads.

      Specified by:
        `testEnded` in interface `TestStateListener`
      See Also:
        `StandardJMeterEngine.stopTest()`

    - #### sampleStarted

          public void sampleStarted(SampleEvent e)

      Description copied from interface: `SampleListener`
      A sample has started.
      Specified by:
        `sampleStarted` in interface `SampleListener`
      Parameters:
        `e` - the `SampleEvent` that has started

    - #### sampleStopped

          public void sampleStopped(SampleEvent e)

      Description copied from interface: `SampleListener`
      A sample has stopped.
      Specified by:
        `sampleStopped` in interface `SampleListener`
      Parameters:
        `e` - the `SampleEvent` that has stopped

    - #### setArguments

          public void setArguments(Arguments args)

      Set the arguments (parameters) for the BackendListenerClient to be executed with.
      Parameters:
        `args` - the new arguments. These replace any existing arguments.

    - #### getArguments

          public Arguments getArguments()

      Get the arguments (parameters) for the BackendListenerClient to be executed with.
      Returns:
        the arguments

    - #### setClassname

          public void setClassname(java.lang.String classname)

      Sets the Classname of the BackendListenerClient object
      Parameters:
        `classname` - the new Classname value

    - #### getClassname

          public java.lang.String getClassname()

      Gets the Classname of the BackendListenerClient object
      Returns:
        the Classname value

    - #### setQueueSize

          public void setQueueSize(java.lang.String queueSize)

      Sets the queue size
      Parameters:
        `queueSize` - the size of the queue

    - #### getQueueSize

          public java.lang.String getQueueSize()

      Gets the queue size
      Returns:
        int queueSize

Copyright © 1998-2018 Apache Software Foundation. All Rights Reserved.